Get current logged In profile information
curl --request GET \
--url https://api.storiza.store/profile/information \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/profile/information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/profile/information"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Profile information retrieved successfully",
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"username": "example",
"email": "[email protected]",
"firstname": "First",
"lastname": "Last",
"fullname": "First Last",
"flags": "48",
"theme": "system",
"language": "en",
"currency": "USD",
"timezone": "Europe/London",
"notificationPreferences": {
"securityAlerts": true,
"billingNotifications": true,
"serverStatus": true,
"productUpdates": true,
"newsletter": false,
"marketingEmails": false
},
"loginMethods": [],
"twoFactorEnabled": false,
"balance": "0",
"accountLimits": {
"apps": -1,
"vps": -1,
"priceByApp": -1,
"priceByVPS": -1,
"timeByApp": -1,
"timeByVPS": -1,
"mode": "unlimited"
},
"createdAt": "2026-10-09T14:57:33.835Z",
"isVerified": false,
"isSuspended": false,
"isBanned": false,
"isAdmin": false,
"isSupport": false,
"isBetaTester": false
}
}Account
Get current logged In profile information
Get the currently logged in user’s profile information.
Required API key permission: account:read
GET
/
profile
/
information
Get current logged In profile information
curl --request GET \
--url https://api.storiza.store/profile/information \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/profile/information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/profile/information"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Profile information retrieved successfully",
"data": {
"id": "00000000-0000-4000-8000-000000000000",
"username": "example",
"email": "[email protected]",
"firstname": "First",
"lastname": "Last",
"fullname": "First Last",
"flags": "48",
"theme": "system",
"language": "en",
"currency": "USD",
"timezone": "Europe/London",
"notificationPreferences": {
"securityAlerts": true,
"billingNotifications": true,
"serverStatus": true,
"productUpdates": true,
"newsletter": false,
"marketingEmails": false
},
"loginMethods": [],
"twoFactorEnabled": false,
"balance": "0",
"accountLimits": {
"apps": -1,
"vps": -1,
"priceByApp": -1,
"priceByVPS": -1,
"timeByApp": -1,
"timeByVPS": -1,
"mode": "unlimited"
},
"createdAt": "2026-10-09T14:57:33.835Z",
"isVerified": false,
"isSuspended": false,
"isBanned": false,
"isAdmin": false,
"isSupport": false,
"isBetaTester": false
}
}Authorizations
An API key from the Storiza dashboard (API & Integrations), sent as Authorization: Bearer stz_….
Response
Profile information retrieved successfully
Available options:
true Available options:
Profile information retrieved successfully Schema for User model
Show child attributes
Show child attributes
Example:
{
"id": "00000000-0000-4000-8000-000000000000",
"username": "example",
"email": "[email protected]",
"firstname": "First",
"lastname": "Last",
"fullname": "First Last",
"flags": "48",
"theme": "system",
"language": "en",
"currency": "USD",
"timezone": "Europe/London",
"notificationPreferences": {
"securityAlerts": true,
"billingNotifications": true,
"serverStatus": true,
"productUpdates": true,
"newsletter": false,
"marketingEmails": false
},
"loginMethods": [],
"twoFactorEnabled": false,
"balance": "0",
"accountLimits": {
"apps": -1,
"vps": -1,
"priceByApp": -1,
"priceByVPS": -1,
"timeByApp": -1,
"timeByVPS": -1,
"mode": "unlimited"
},
"createdAt": "2026-10-09T14:57:33.835Z",
"isVerified": false,
"isSuspended": false,
"isBanned": false,
"isAdmin": false,
"isSupport": false,
"isBetaTester": false
}
Was this page helpful?